#ifndef	_8ECP_DEBUG_H
#define	_8ECP_DEBUG_H

#define	BASE_ID_LEN				15
#define	PAGE_POINT				14
#define LINE_POINT				15
#define MAX_ASCIIIN_LEN			4096
#define MAX_ASCIIOUT_LEN		4096
#define MONITOR_ERROR_OFF		3
#define	MONITOR_ERROR_ON		2
#define	MONITOR_ALL				1
#define MONITOR_NONE			0
#define MAX_MG_NO				32
#define MAX_TRK_NO				MAX_MG_NO * 8
#define MAX_CHL_NO				MAX_TRK_NO * 32

#ifndef _T_BYTE
#define _T_BYTE
typedef unsigned char BYTE;
#endif

#ifndef _T_WORD
#define _T_WORD
typedef unsigned short WORD;
#endif



int _8ecp_debug_set(void);
int _8ecp_asciout_proc(BYTE* out_ptr);
void _8ecp_mon(void);
void log_procedure(BYTE flag, BYTE* tempstr);
#endif
